---
id: xthor-scraping
name: Xthor (Scraping)
description: "General French Private Tracker"
language: fr-FR
type: private
encoding: UTF-8
followredirect: true
links:
  - https://xthor.help/
legacylinks:
  - https://xthor.tk
  - https://xthor.tk/

caps:
  categorymappings:
    # Movies / Films
    - {id: 118, cat: Movies/BluRay, desc: "Films/2160p/Bluray"}
    - {id: 119, cat: Movies/UHD, desc: "Films/2160p/Remux"}
    - {id: 107, cat: Movies/UHD, desc: "Films/2160p/x265"}
    - {id: 1, cat: Movies/BluRay, desc: "Films/1080p/BluRay"}
    - {id: 2, cat: Movies/HD, desc: "Films/1080p/Remux"}
    - {id: 100, cat: Movies/HD, desc: "Films/1080p/x265"}
    - {id: 4, cat: Movies/HD, desc: "Films/1080p/x264"}
    - {id: 5, cat: Movies/HD, desc: "Films/720p/x264"}
    - {id: 7, cat: Movies/SD, desc: "Films/SD/x264"}
    - {id: 3, cat: Movies/3D, desc: "Films/3D"}
    - {id: 6, cat: Movies/SD, desc: "Films/XviD"}
    - {id: 8, cat: Movies/DVD, desc: "Films/DVD"}
    - {id: 122, cat: Movies/HD, desc: "Films/HDTV"}
    - {id: 94, cat: Movies/WEB-DL, desc: "Films/WEBDL"}
    - {id: 95, cat: Movies/WEB-DL, desc: "Films/WEBRiP"}
    - {id: 12, cat: TV/Documentary, desc: "Films/Documentaire"}
    - {id: 31, cat: Movies/Other, desc: "Films/Animation"}
    - {id: 33, cat: Movies/Other, desc: "Films/Spectacle"}
    - {id: 125, cat: TV/Sport, desc: "Films/Sports"}
    - {id: 20, cat: Audio/Video, desc: "Films/Concerts, Clips"}
    - {id: 9, cat: Movies/Other, desc: "Films/VOSTFR"}

    # TV Series / Series TV
    - {id: 104, cat: TV/Other, desc: "Series/BluRay"}
    - {id: 13, cat: TV, desc: "Series/Pack VF"}
    - {id: 15, cat: TV/HD, desc: "Series/HD VF"}
    - {id: 14, cat: TV/SD, desc: "Series/SD VF"}
    - {id: 98, cat: TV/Other, desc: "Series/Pack VOSTFR"}
    - {id: 17, cat: TV/HD, desc: "Series/HD VOSTFR"}
    - {id: 16, cat: TV/SD, desc: "Series/SD VOSTFR"}
    - {id: 101, cat: TV/Anime, desc: "Series/Packs Anime"}
    - {id: 32, cat: TV/Anime, desc: "Series/Animes"}
    - {id: 110, cat: TV/Anime, desc: "Series/Anime VOSTFR"}
    - {id: 123, cat: TV/Other, desc: "Series/Animation"}
    - {id: 109, cat: TV/Documentary, desc: "Series/DOC"}
    - {id: 34, cat: TV/Sport, desc: "Series/Sport"}
    - {id: 30, cat: TV/Other, desc: "Series/Emission TV"}

    # Porn / XxX
    - {id: 36, cat: XXX, desc: "MISC/XxX/Films"}
    - {id: 105, cat: XXX, desc: "MISC/XxX/Séries"}
    - {id: 114, cat: XXX, desc: "MISC/XxX/Lesbiennes"}
    - {id: 115, cat: XXX, desc: "MISC/XxX/Gays"}
    - {id: 113, cat: XXX, desc: "MISC/XxX/Hentai"}
    - {id: 120, cat: XXX, desc: "MISC/XxX/Magazines"}

    # Books / Livres
    - {id: 24, cat: Books/EBook, desc: "Livres/Romans"}
    - {id: 124, cat: Audio/Audiobook, desc: "Livres/Audio Books"}
    - {id: 96, cat: Books/Mags, desc: "Livres/Magazines"}
    - {id: 99, cat: Books/Other, desc: "Livres/Bandes dessinées"}
    - {id: 116, cat: Books/EBook, desc: "Livres/Romans Jeunesse"}
    - {id: 102, cat: Books/Comics, desc: "Livres/Comics"}
    - {id: 103, cat: Books/Other, desc: "Livres/Mangas"}

    # Softwares / Logiciels
    - {id: 25, cat: PC/Games, desc: "Logiciels/Jeux PC"}
    - {id: 27, cat: Console/PS3, desc: "Logiciels/Playstation"}
    - {id: 111, cat: PC/Mac, desc: "Logiciels/Jeux MAC"}
    - {id: 26, cat: Console/XBox 360, desc: "Logiciels/XboX"}
    - {id: 112, cat: PC, desc: "Logiciels/Jeux Linux"}
    - {id: 28, cat: Console/Wii, desc: "Logiciels/Nintendo"}
    - {id: 29, cat: Console/NDS, desc: "Logiciels/NDS"}
    - {id: 117, cat: PC, desc: "Logiciels/ROM"}
    - {id: 21, cat: PC, desc: "Logiciels/Applis PC"}
    - {id: 22, cat: PC/Mac, desc: "Logiciels/Applis Mac"}
    - {id: 23, cat: PC/Mobile-Android, desc: "Logiciels/Smartphone"}

  modes:
    search: [q]
    movie-search: [q]
    tv-search: [q, season, ep]
    book-search: [q]

settings:
  - name: username
    type: text
    label: Username
  - name: password
    type: password
    label: Password
  - name: accent_id
    type: select
    label: Specific language
    default: 0
    options:
      0: "All Voices (default)"
      1: "Françaises"
      2: "Quebecoises"
      47: "Françaises et Québécoises"
      3: "Anglaises"
      4: "Japonaises"
      5: "Espagnoles"
      6: "Allemandes"
      7: "Chinoises"
      8: "Italiennes"
      9: "Coréennes"
      10: "Danoises"
      11: "Russes"
      12: "Portugaises"
      13: "Hindi"
      14: "Hollandaises"
      15: "Suédoises"
      16: "Norvégiennes"
      17: "Thaïlandaises"
      18: "Hébreu"
      19: "Persanes"
      20: "Arabes"
      21: "Turques"
      22: "Hongroises"
      23: "Polonaises"
      24: "Finnoises"
      25: "Indonésiennes"
      26: "Roumaines"
      27: "Malaisiennes"
      28: "Estoniennes"
      29: "Islandaises"
      30: "Grecques"
      31: "Serbes"
      32: "Norvégiennes (2)"
      33: "Ukrainiennes"
      34: "Bulgares"
      35: "Tagalogues"
      36: "Xhosa"
      37: "Kurdes"
      38: "Bengali"
      39: "Amhariques"
      40: "Bosniaques"
      41: "Malayalam"
      42: "Télougou"
      43: "Bambara"
      44: "Catalanes"
      45: "Tchèques"
      46: "Afrikaans"
  - name: info
    type: info
    label: Accent Note
    default: "You can scope your searches with a specific language / accent."
  - name: only_freeleech
    type: checkbox
    label: Only grab freeleech torrents
    default: false
  - name: multilanguage
    type: text
    label: Replace MULTI by this word
    default: MULTI
  - name: subfrench
    type: text
    label: Replace "VOSTFR" and "SUBFRENCH" by this word

login:
  method: post
  path: takelogin.php
  inputs:
    username: "{{ .Config.username }}"
    password: "{{ .Config.password }}"
    perm_ssl: 1
    submitme: X
    returnto: /
  error:
    - selector: table > tbody > tr > td > h2
      message:
        text: "Erreur"
  test:
    path: browse.php
    selector: tr.trtor

search:
  paths:
    - path: browse.php
      inputs:
        sch: "{{ .Keywords }}"
        searchin: title
        incldead: 0
        group: 0
        state: 0
        accent: "{{ .Config.accent_id }}"
        price: 0
        mqr: 0
        staff: 0
        only_free: "{{ if .Config.only_freeleech }}1{{ else }}0{{ end }}"
  rows:
    selector: tbody > tr.trtor:has(td.tdtor > a[href^="browse.php?cat="])

  fields:
    category:
      selector: a[href^="browse.php?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title_phase1:
      selector: a[href^="details.php?id="] > b
    title_multilanguage:
      text: "{{ .Result.title_phase1 }}"
      filters:
        - name: re_replace
          args: ["(?i)[\\.\\s\\[\\-]multi[\\.\\s\\]\\-]", ".{{ .Config.multilanguage }}."]
    title_phase2:
      text: "{{ if .Config.multilanguage }}{{ .Result.title_multilanguage }}{{ else }}{{ .Result.title_phase1 }}{{ end }}"
    title_vostfr:
      text: "{{ .Result.title_phase2 }}"
      filters:
        - name: re_replace
          args: ["(?i)[\\.\\s\\[\\-]vostfr[\\.\\s\\]\\-]", ".{{ .Config.subfrench }}."]
        - name: re_replace
          args: ["(?i)[\\.\\s\\[\\-]subfrench[\\.\\s\\]\\-]", ".{{ .Config.subfrench }}."]
    title_phase3:
      text: "{{ if .Config.subfrench }}{{ .Result.title_vostfr }}{{ else }}{{ .Result.title_phase2 }}{{ end }}"
    title:
      text: "{{ .Result.title_phase3 }}"
    download:
      selector: a[href^="download.php?torrent="]
      attribute: href
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    size:
      selector: a[href^="download.php?torrent="]
      filters:
        - name: replace
          args: ["io", "B"]
    grabs:
      selector: a[href^="gang.php?tid="]
    seeders:
      selector: a[href^="peerlist_xbt.php?id="] > font[style="color:#04B404;"]
    leechers:
      selector: a[href^="peerlist_xbt.php?id="] > font[style="color:#2E64FE;"]
    downloadvolumefactor:
      case:
        img[title="Free Torrent"]: 0
        "*": 1
    uploadvolumefactor:
      case:
        "*": 1
